> For the complete documentation index, see [llms.txt](https://docs.xrpscan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xrpscan.com/api-documentation/account/dex-orders.md).

# DEX Orders

This endpoint retrieves a list of DEX orders (or, offers) made by a given account that are outstanding as of the last validated ledger.

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/account/{ACCOUNT}/orders
```

{% endtab %}
{% endtabs %}

## Example

{% tabs %}
{% tab title="curl" %}

```
curl https://api.xrpscan.com/api/v1/account/rBTwLga3i2gz3doX6Gva3MgEV8ZCD8jjah/orders
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
[
  {
    "specification": {
      "direction": "buy",
      "quantity": {
        "currency": "USD",
        "value": "53934.3279",
        "counterparty": "rhub8VRN55s94qWKDv6jmDy1pUykJzF3wq"
      },
      "totalPrice": {
        "currency": "XRP",
        "value": "72045"
      }
    },
    "properties": {
      "maker": "rBTwLga3i2gz3doX6Gva3MgEV8ZCD8jjah",
      "sequence": 102024952,
      "makerExchangeRate": "0.74862"
    }
  },
  {
    "specification": {
      "direction": "buy",
      "quantity": {
        "currency": "EUR",
        "value": "49134.41118585",
        "counterparty": "rhub8VRN55s94qWKDv6jmDy1pUykJzF3wq"
      },
      "totalPrice": {
        "currency": "XRP",
        "value": "72045"
      }
    },
    "properties": {
      "maker": "rBTwLga3i2gz3doX6Gva3MgEV8ZCD8jjah",
      "sequence": 102024953,
      "makerExchangeRate": "0.68199613"
    }
  },
  ...
]
```

{% endtab %}
{% endtabs %}

## Response format

Additional properties may be available in the response based on rippled `account_offers` command.

{% embed url="<https://xrpl.org/account_offers.html>" %}
